umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Functions
dotgenerator.cpp File Reference
`#include "dotgenerator.h"`
`#include "activitywidget.h"`
`#include "associationwidget.h"`
`#include "classifierwidget.h"`
`#include "signalwidget.h"`
`#include "statewidget.h"`
`#include "debug_utils.h"`
`#include "uml.h"`
`#include <KConfigGroup>`
`#include <KDesktopFile>`
`#include <QFile>`
`#include <QPaintEngine>`
`#include <QProcess>`
`#include <QRectF>`
`#include <QRegExp>`
`#include <QStandardPaths>`
`#include <QString>`
`#include <QTemporaryFile>`
`#include <QTextStream>`

## Classes
class | DotPaintEngine
class | DotPaintDevice

## Macros
#define | DBG_SRC QStringLiteral("DotGenerator")
#define | DOTGENERATOR_DEBUG

## Functions
QString | dotType (WidgetBase *widget)

## Macro Definition Documentation

## ◆ DBG_SRC

#define DBG_SRC QStringLiteral("DotGenerator")

## ◆ DOTGENERATOR_DEBUG

#define DOTGENERATOR_DEBUG

## Function Documentation

## ◆ dotType()

QString dotType | ( | WidgetBase * | widget | ) |